### Class

# RB ListModel

#### Description [src]

    final class RB.ListModel : GObject.Object
    {
      /* No available fields */
    }

Stores a list of items and emits notification signals on changes.

#### Ancestors

- GObject

#### Constructors

###### rb_list_model_new

Creates a new empty list model.

#### Instance methods

###### rb_list_model_append

Appends `item` to the list.

###### rb_list_model_find

Returns the lowest index at which `item` appears in the list, or -1 if the item is not in the list.

###### rb_list_model_get

Returns an item from the list.

###### rb_list_model_get_item_type

Returns the list entry type.

###### rb_list_model_insert

Inserts at item into the list. If `index` is less than zero or greater than the length of the list, the item is appended to the list.

###### rb_list_model_n_items

Returns the length of the list.

###### rb_list_model_prepend

Prepends `item` to the list.

###### rb_list_model_remove

Removes the item at `index` from the list.

###### rb_list_model_remove_item

Removes `item` from the list. If the item appears in the list multiple times, only the first instance is removed.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

###### RB.ListModel::items-changed

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBListModelClass {
      /* no available fields */
    }

No description available.